Loading...
Searching...
No Matches
mzintegrationparams.cpp File Reference
`#include <cmath>`
`#include <map>`
`#include <QDateTime>`
`#include <QDebug>`
`#include <QFile>`
`#include <QString>`
`#include <QJSEngine>`
`#include "pappsomspp/core/massspectrum/massspectrum.h"`
`#include "pappsomspp/core/utils.h"`
`#include "pappsomspp/core/processing/combiners/mzintegrationparams.h"`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

MzIntegrationParams::BinningType | pappso::getBinningTypeFromString (const QString &text)

## Variables

std::map< MzIntegrationParams::BinningType, QString > | pappso::binningTypeMap
| Map relating the BinningType to a textual representation.